<%@ Page language="c#" Codebehind="focuslist.aspx.cs" AutoEventWireup="false" EnableViewState="false" Inherits="Discuz.ForumPage.focuslist" %>
<%@ Import namespace="System.Data" %>
<%@ Import namespace="Discuz.Common" %>
<%@ Import namespace="Discuz.Forum" %>
<%@ Import namespace="Discuz.Entity" %>

<script runat="server">
override protected void OnInit(EventArgs e)
{

	/* 
		This page was created by Discuz!NT Template Engine at 2007-11-15 11:15:11.
		本页面代码由Discuz!NT模板引擎生成于 2007-11-15 11:15:11. 
	*/

	base.OnInit(e);

	templateBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	templateBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	templateBuilder.Append("<head>\r\n");
	templateBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	templateBuilder.Append("" + meta.ToString() + "\r\n");
	templateBuilder.Append("<title>" + pagetitle.ToString() + " " + config.Seotitle.ToString().Trim() + " - " + config.Forumtitle.ToString().Trim() + " - Powered by Discuz!NT</title>\r\n");
	templateBuilder.Append("<link rel=\"icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<link rel=\"shortcut icon\" href=\"favicon.ico\" type=\"image/x-icon\" />\r\n");
	templateBuilder.Append("<!-- 调用样式表 -->\r\n");
	templateBuilder.Append("<link rel=\"stylesheet\" href=\"templates/" + templatepath.ToString() + "/dnt.css\" type=\"text/css\" media=\"all\"  />\r\n");
	templateBuilder.Append("" + link.ToString() + "\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/report.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/common.js\"></" + "script>\r\n");
	templateBuilder.Append("<script type=\"text/javascript\" src=\"editor/menu.js\"></" + "script>\r\n");
	templateBuilder.Append("" + script.ToString() + "\r\n");
	templateBuilder.Append("</head>\r\n");


	templateBuilder.Append("<body id=\"focuslist\">\r\n");
	templateBuilder.Append("<div id=\"container\">\r\n");
	templateBuilder.Append("<div id=\"wraper\">\r\n");
	templateBuilder.Append("<!---position area start-->\r\n");
	templateBuilder.Append("<div id=\"foruminfo\">\r\n");
	templateBuilder.Append("	<div class=\"forumstats focusstats\">\r\n");
	templateBuilder.Append("		<ul>\r\n");

	if (userid!=-1)
	{

	templateBuilder.Append("			<li><a href=\"mytopics.aspx\">我的主题</a></li>\r\n");
	templateBuilder.Append("			<li><a href=\"myposts.aspx\">我的帖子</a></li>\r\n");
	templateBuilder.Append("			<li><a href=\"search.aspx?posterid=" + userid.ToString() + "&amp;type=digest\">我的精华</a></li>\r\n");

	}	//end if

	templateBuilder.Append("			<li><a href=\"showtopiclist.aspx?type=newtopic&amp;newtopic=" + newtopicminute.ToString() + "&amp;forums=all\">查看新帖</a></li>\r\n");
	templateBuilder.Append("			<li><a href=\"showtopiclist.aspx?type=digest&amp;forums=all\">精华帖区</a></li>\r\n");

	if (config.Rssstatus!=0)
	{

	templateBuilder.Append("			<li class=\"lastitem\">\r\n");
	templateBuilder.Append("			<a href=\"tools/rss.aspx\" target=\"_blank\"><img src=\"templates/" + templatepath.ToString() + "/images/rss.gif\" alt=\"Rss\"/></a></li>\r\n");

	}	//end if

	templateBuilder.Append("		</ul>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div class=\"framehead\">\r\n");
	templateBuilder.Append("	<div class=\"frameheadleft\">\r\n");
	templateBuilder.Append("		<p>积分: <strong>" + userinfo.Credits.ToString().Trim() + "</strong> / 头衔:<strong> " + usergroupinfo.Grouptitle.ToString().Trim() + "</strong></p>\r\n");
	templateBuilder.Append("		<p>你上次访问是在 " + lastvisit.ToString() + "</p>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"frameheadright\">\r\n");
	templateBuilder.Append("		<p>共 <strong>" + totaltopic.ToString() + "</strong>  篇主题 /<strong> " + totalpost.ToString() + "</strong>  个帖子 / 今日<strong> " + todayposts.ToString() + "</strong>  个帖子</p>\r\n");
	templateBuilder.Append("		<p>共 <strong>" + totalusers.ToString() + "</strong> 位会员 / 欢迎新会员 <strong>\r\n");
	 aspxrewriteurl = this.UserInfoAspxRewrite(lastuserid);
	
	templateBuilder.Append("		<a href=\"" + aspxrewriteurl.ToString() + "\">" + lastusername.ToString() + "</a></strong></p>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	if (usergroupinfo.Allowsearch>0)
	{

	templateBuilder.Append("<div id=\"foruminfo\">\r\n");
	templateBuilder.Append("	<div class=\"forumstats focusstats\">\r\n");

	templateBuilder.Append("			<form method=\"post\" action=\"search.aspx\" target=\"_blank\" onsubmit=\"bind_keyword(this);\">\r\n");
	templateBuilder.Append("			<input type=\"hidden\" name=\"poster\" />\r\n");
	templateBuilder.Append("			<input type=\"hidden\" name=\"keyword\" />\r\n");
	templateBuilder.Append("			<input type=\"hidden\" name=\"type\" value=\"\" />\r\n");
	templateBuilder.Append("			<input id=\"keywordtype\" type=\"hidden\" name=\"keywordtype\" value=\"0\"/>\r\n");
	templateBuilder.Append("			<div id=\"searchbar\">\r\n");
	templateBuilder.Append("				<dl>\r\n");
	templateBuilder.Append("					<dt id=\"quicksearch\" class=\"s2\" onclick=\"showMenu(this.id, false);\" onmouseover=\"MouseCursor(this);\">帖子标题</dt>\r\n");
	templateBuilder.Append("					<dd class=\"textinput\"><input type=\"text\" name=\"keywordf\" value=\"\" class=\"text\"/></dd>\r\n");
	templateBuilder.Append("					<dd><input name=\"searchsubmit\" type=\"submit\" value=\"\" class=\"s3\"/></dd>\r\n");
	templateBuilder.Append("				</dl>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("			</form>\r\n");
	templateBuilder.Append("			<script type=\"text/javascript\">function bind_keyword(form){if(form.keywordtype.value=='8'){form.keyword.value='';form.poster.value=form.keywordf.value; } else { form.poster.value=''; form.keyword.value=form.keywordf.value;if(form.keywordtype.value == '2')form.type.value = 'spacepost';if(form.keywordtype.value == '3')form.type.value = 'album';}}</" + "script>\r\n");


	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");

	}	//end if



	if (pagewordad!="")
	{

	templateBuilder.Append("<!--adtext-->\r\n");
	templateBuilder.Append("<div id=\"adtext\">\r\n");
	templateBuilder.Append("	<div class=\"adtextbody\">\r\n");
	templateBuilder.Append("		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">\r\n");
	templateBuilder.Append("			" + pagewordad.ToString() + "\r\n");
	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<!--adtext-->\r\n");

	}	//end if





	if (newpmcount>0 && showpmhint)
	{

	templateBuilder.Append("<!--短信息 area start-->\r\n");
	templateBuilder.Append("<div class=\"ntforumbox\">\r\n");

	if (pmsound>0)
	{

	templateBuilder.Append("		<bgsound src=\"sound/pm" + pmsound.ToString() + ".wav\" />\r\n");

	}	//end if

	templateBuilder.Append("	<div class=\"titlebar\">\r\n");
	templateBuilder.Append("		<span class=\"open\"><a href=\"usercpinbox.aspx\" target=\"_blank\">查看详情</a> <a href=\"###\" onclick=\"document.getElementById('frmnewpm').submit();\">不再提示</a></span>\r\n");
	templateBuilder.Append("		<h3>您有 " + newpmcount.ToString() + " 条新的短消息</h3>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"notelist\">\r\n");
	templateBuilder.Append("	<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\" width=\"100%\">\r\n");

	int pm__loop__id=0;
	foreach(PrivateMessageInfo pm in pmlist)
	{
		pm__loop__id++;

	templateBuilder.Append("	<tbody>\r\n");
	templateBuilder.Append("		<tr class=\"list\" onmouseover=\"this.className='liston'\" onmouseout=\"this.className='list'\">\r\n");
	templateBuilder.Append("			<td class=\"topicicon\"><img src=\"templates/" + templatepath.ToString() + "/images/message_" + pm.New.ToString().Trim() + ".gif\" alt=\"短信息\"/></td>\r\n");
	templateBuilder.Append("			<th class=\"forumlisttitle\"><a href=\"usercpshowpm.aspx?pmid=" + pm.Pmid.ToString().Trim() + "\">" + pm.Subject.ToString().Trim() + "</a></th>\r\n");
	templateBuilder.Append("			<td>\r\n");
	templateBuilder.Append("				<a href=\"userinfo.aspx?userid=" + pm.Msgfromid.ToString().Trim() + "\" target=\"_blank\">" + pm.Msgfrom.ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("				<span class=\"fontfamily\">" + pm.Postdatetime.ToString().Trim() + "</span>\r\n");
	templateBuilder.Append("			</td>\r\n");
	templateBuilder.Append("		</tr>\r\n");
	templateBuilder.Append("	</tbody>\r\n");

	}	//end loop

	templateBuilder.Append("	</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<form id=\"frmnewpm\" name=\"frmnewpm\" method=\"post\" action=\"#\">\r\n");
	templateBuilder.Append("		<input id=\"ignore\" name=\"ignore\" type=\"hidden\" value=\"yes\" />\r\n");
	templateBuilder.Append("	</form>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<!--短信息 area end-->\r\n");

	}	//end if



	templateBuilder.Append("<div id=\"forumfocus\">\r\n");
	templateBuilder.Append("	<div class=\"focuslistleft\">\r\n");
	templateBuilder.Append("		<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("			<div class=\"titlebar\">\r\n");
	templateBuilder.Append("				  <h3>最新精华主题</h3>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("			<ul class=\"navfocuslist\">\r\n");

	int digesttopic__loop__id=0;
	foreach(DataRow digesttopic in digesttopiclist.Rows)
	{
		digesttopic__loop__id++;

	 aspxrewriteurl = this.ShowTopicAspxRewrite(digesttopic["tid"].ToString().Trim(),0);
	

	if (digesttopic["iconid"].ToString().Trim()!="0")
	{

	templateBuilder.Append("						<li><img src=\"images/posticons/" + digesttopic["iconid"].ToString().Trim() + ".gif\" alt=\"smile\"/><a href=\"" + aspxrewriteurl.ToString() + "\" target=\"main\">" + digesttopic["title"].ToString().Trim() + "</a></li>\r\n");

	}
	else
	{

	templateBuilder.Append("						<li class=\"listspace\"><a href=\"" + aspxrewriteurl.ToString() + "\" target=\"main\">" + digesttopic["title"].ToString().Trim() + "</a> </li>\r\n");

	}	//end if


	}	//end loop

	templateBuilder.Append("			</ul>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"focuslistright\">\r\n");
	templateBuilder.Append("		<div class=\"ntforumbox\">\r\n");
	templateBuilder.Append("			<div class=\"titlebar\">\r\n");
	templateBuilder.Append("			  <h3>最新热门主题</h3>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("			<ul class=\"navfocuslist\">\r\n");

	int hottopic__loop__id=0;
	foreach(DataRow hottopic in hottopiclist.Rows)
	{
		hottopic__loop__id++;

	 aspxrewriteurl = this.ShowTopicAspxRewrite(hottopic["tid"].ToString().Trim(),0);
	

	if (hottopic["iconid"].ToString().Trim()!="0")
	{

	templateBuilder.Append("						<li><img src=\"images/posticons/" + hottopic["iconid"].ToString().Trim() + ".gif\" alt=\"smile\"/><a href=\"" + aspxrewriteurl.ToString() + "\" target=\"main\">" + hottopic["title"].ToString().Trim() + "</a></li>\r\n");

	}
	else
	{

	templateBuilder.Append("						<li class=\"listspace\"><a href=\"" + aspxrewriteurl.ToString() + "\" target=\"main\">" + hottopic["title"].ToString().Trim() + "</a> </li>\r\n");

	}	//end if


	}	//end loop

	templateBuilder.Append("			</ul>\r\n");
	templateBuilder.Append("		</div>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<!---bbs-list area end--->\r\n");

	if (forumlinkcount>0)
	{

	templateBuilder.Append("<!--parter area start-->\r\n");
	templateBuilder.Append("<div class=\"ntforumbox forumlink\">\r\n");
	templateBuilder.Append("	<span class=\"open\"><a href=\"###\" onClick=\"toggle_collapse('linklist');\" class=\"opentopic\"><img id =\"linklist_img\" src=\"templates/" + templatepath.ToString() + "/images/open_no.gif\" alt=\"展开/收起\" /></a></span>\r\n");
	templateBuilder.Append("	<h4>友情链接</h4>\r\n");
	templateBuilder.Append("	<div id=\"linklist\">\r\n");
	templateBuilder.Append("		<table cellpadding=\"0\" cellspacing=\"0\" border=\"0\">\r\n");

	int forumlink__loop__id=0;
	foreach(DataRow forumlink in forumlinklist.Rows)
	{
		forumlink__loop__id++;


	if (forumlink["logo"].ToString().Trim()!="")
	{

	templateBuilder.Append("			<tbody>	\r\n");
	templateBuilder.Append("				<tr class=\"list\" >\r\n");
	templateBuilder.Append("					<td  class=\"topicicon\">\r\n");
	templateBuilder.Append("						<img src=\"templates/" + templatepath.ToString() + "/images/parters02.gif\" alt=\"友情链接\"/>\r\n");
	templateBuilder.Append("					</td>\r\n");
	templateBuilder.Append("					<td class=\"linktitle\">\r\n");
	templateBuilder.Append("					<h3>\r\n");
	templateBuilder.Append("						<a href=\"" + forumlink["url"].ToString().Trim() + "\" target=\"_blank\">" + forumlink["name"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("					</h3>\r\n");
	templateBuilder.Append("					<p>" + forumlink["note"].ToString().Trim() + "</p>\r\n");
	templateBuilder.Append("					</td>\r\n");
	templateBuilder.Append("					<td class=\"linklogo\">\r\n");
	templateBuilder.Append("						<a href=\"" + forumlink["url"].ToString().Trim() + "\" target=\"_blank\"><img src=\"" + forumlink["logo"].ToString().Trim() + "\" alt=\"" + forumlink["name"].ToString().Trim() + "\"/></a>\r\n");
	templateBuilder.Append("					</td>\r\n");
	templateBuilder.Append("				</tr>\r\n");
	templateBuilder.Append("			</tbody>\r\n");

	}
	else if (forumlink["name"].ToString().Trim()!="$$otherlink$$")
	{

	templateBuilder.Append("			<tbody>\r\n");
	templateBuilder.Append("				<tr class=\"list\">\r\n");
	templateBuilder.Append("					<td class=\"topicicon\">\r\n");
	templateBuilder.Append("						<img src=\"templates/" + templatepath.ToString() + "/images/parters02.gif\" alt=\"友情链接\"/>\r\n");
	templateBuilder.Append("					</td>\r\n");
	templateBuilder.Append("					<td colspan=\"2\"  class=\"linktitle\">\r\n");
	templateBuilder.Append("					<h3>\r\n");
	templateBuilder.Append("						<a href=\"" + forumlink["url"].ToString().Trim() + "\" target=\"_blank\">" + forumlink["name"].ToString().Trim() + "</a>\r\n");
	templateBuilder.Append("					</h3>\r\n");
	templateBuilder.Append("					<p>" + forumlink["note"].ToString().Trim() + "</p>\r\n");
	templateBuilder.Append("					</td>\r\n");
	templateBuilder.Append("				</tr>\r\n");
	templateBuilder.Append("			</tbody>\r\n");

	}
	else
	{

	templateBuilder.Append("			<tbody>\r\n");
	templateBuilder.Append("				<tr class=\"list\">\r\n");
	templateBuilder.Append("					<td  class=\"topicicon\">\r\n");
	templateBuilder.Append("						<img src=\"templates/" + templatepath.ToString() + "/images/parters02.gif\" alt=\"友情链接\"/>\r\n");
	templateBuilder.Append("					</td>\r\n");
	templateBuilder.Append("					<td colspan=\"2\"  class=\"linktitle\">\r\n");
	templateBuilder.Append("						" + forumlink["note"].ToString().Trim() + "\r\n");
	templateBuilder.Append("					</td>\r\n");
	templateBuilder.Append("				</tr>\r\n");
	templateBuilder.Append("			</tbody>\r\n");

	}	//end if


	}	//end loop

	templateBuilder.Append("		</table>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<!--parter area end-->\r\n");

	}	//end if


	if (config.Whosonlinestatus!=0 && config.Whosonlinestatus!=2)
	{

	templateBuilder.Append("<div class=\"onlineuser\">\r\n");
	templateBuilder.Append("	<span class=\"open\">\r\n");

	if (DNTRequest.GetString("showonline")=="no")
	{

	templateBuilder.Append("			<a href=\"?showonline=yes#online\"><img src=\"templates/" + templatepath.ToString() + "/images/open_yes.gif\" alt=\"展开/收起\" />\r\n");

	}
	else
	{

	templateBuilder.Append("			<a href=\"?showonline=no#online\"><img src=\"templates/" + templatepath.ToString() + "/images/open_no.gif\" alt=\"展开/收起\" />\r\n");

	}	//end if

	templateBuilder.Append("		</a>\r\n");
	templateBuilder.Append("	</span>\r\n");
	templateBuilder.Append("	<h4>\r\n");
	templateBuilder.Append("		<strong>在线用户:" + totalonline.ToString() + "人</strong>\r\n");
	templateBuilder.Append("		<em>最高纪录是 <strong>" + highestonlineusercount.ToString() + "</strong>  于 /  " + highestonlineusertime.ToString() + " </em>	\r\n");
	templateBuilder.Append("	</h4>\r\n");
	templateBuilder.Append("	<dl class=\"onlineuserlist\">\r\n");
	templateBuilder.Append("		<dt>" + onlineiconlist.ToString() + "</dt>\r\n");
	templateBuilder.Append("		<dd class=\"onlineusernumber\">\r\n");
	 aspxrewriteurl = this.UserInfoAspxRewrite(lastuserid);
	
	templateBuilder.Append("			<span class=\"newuser\">新会员:<a href=\"" + aspxrewriteurl.ToString() + "\">" + lastusername.ToString() + "</a></span>\r\n");
	templateBuilder.Append("		</dd>\r\n");
	templateBuilder.Append("		<dd>\r\n");
	templateBuilder.Append("			<ul id=\"online\">\r\n");

	if (showforumonline)
	{


	int onlineuser__loop__id=0;
	foreach(DataRow onlineuser in onlineuserlist.Rows)
	{
		onlineuser__loop__id++;


	if (onlineuser["invisible"].ToString().Trim()=="1")
	{

	templateBuilder.Append("							<li>(隐身会员)</li>\r\n");

	}
	else
	{

	templateBuilder.Append("							<li>" + onlineuser["olimg"].ToString().Trim() + "\r\n");

	if (onlineuser["userid"].ToString().Trim()=="-1")
	{

	templateBuilder.Append("									" + onlineuser["username"].ToString().Trim() + "\r\n");

	}
	else
	{

	 aspxrewriteurl = this.UserInfoAspxRewrite(onlineuser["userid"].ToString().Trim());
	
	templateBuilder.Append("									<a href=\"" + aspxrewriteurl.ToString() + "\" target=\"_blank\">" + onlineuser["username"].ToString().Trim() + "</a>\r\n");

	}	//end if

	templateBuilder.Append("							</li>\r\n");

	}	//end if


	}	//end loop


	}
	else
	{

	templateBuilder.Append("					<li class=\"seelist\"><a href=\"?showonline=yes#online\">点击查看在线列表</a></li>\r\n");

	}	//end if

	templateBuilder.Append("			</ul>\r\n");
	templateBuilder.Append("		</dd>\r\n");
	templateBuilder.Append("	</dl>\r\n");
	templateBuilder.Append("</div>\r\n");

	}	//end if

	templateBuilder.Append("</div>\r\n");


	if (footerad!="")
	{

	templateBuilder.Append("<!--底部广告显示-->\r\n");
	templateBuilder.Append("<div id=\"bottomad\">" + footerad.ToString() + "</div>\r\n");
	templateBuilder.Append("<!--底部广告结束-->\r\n");

	}	//end if

	templateBuilder.Append("<div id=\"forumfooter\">\r\n");
	templateBuilder.Append("	<div class=\"footercopy\">\r\n");
	templateBuilder.Append("	 	<p>\r\n");
	templateBuilder.Append("			版权所有 <a href=\"" + config.Weburl.ToString().Trim() + "\" target=\"_blank\">" + config.Webtitle.ToString().Trim() + "</a>&nbsp; " + config.Linktext.ToString().Trim() + "\r\n");

	if (config.Sitemapstatus==1)
	{

	templateBuilder.Append("&nbsp;<a href=\"tools/sitemap.aspx\" target=\"_blank\" title=\"百度论坛收录协议\">Sitemap</a>\r\n");

	}	//end if

	templateBuilder.Append("		</p>\r\n");
	templateBuilder.Append("		<span>Powered by <a href=\"http://nt.discuz.net\" target=\"_blank\" title=\"Discuz!NT 2.0 (.net Framework 1.1)\"><em>Discuz!NT</em></a>&nbsp;<em>2.0.1115 \r\n");

	if (config.Licensed==1)
	{

	templateBuilder.Append("				(<a href=\"\" onclick=\"this.href='http://nt.discuz.net/certificate/?host='+location.href.substring(0, location.href.lastIndexOf('/'))\" target=\"_blank\">Licensed</a>)\r\n");

	}	//end if

	templateBuilder.Append("				&nbsp;&nbsp; " + config.Forumcopyright.ToString().Trim() + "</em>\r\n");

	if (config.Debug!=0)
	{

	templateBuilder.Append("<br/>\r\n");
	templateBuilder.Append("				Processed in " + this.Processtime.ToString().Trim() + " second(s)\r\n");

	if (isguestcachepage==1)
	{

	templateBuilder.Append("						(Cached).\r\n");

	}
	else if (querycount>1)
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " queries.\r\n");

	}
	else
	{

	templateBuilder.Append("				        , " + querycount.ToString() + " query.\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("				" + config.Icp.ToString().Trim() + "\r\n");
	templateBuilder.Append("		 </span>\r\n");
	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("	<div class=\"footergoto\">\r\n");
	templateBuilder.Append("		<span><img src=\"templates/" + templatepath.ToString() + "/images/gototop2.gif\" alt=\"返顶部\" onclick=\"window.scrollTo(0,0)\" /></span>\r\n");

	if (config.Stylejump==1)
	{


	if (userid!=-1 || config.Guestcachepagetimeout<=0)
	{

	templateBuilder.Append("		<select onchange=\"if(this.options[this.selectedIndex].value != '') {window.location=('showtemplate.aspx?templateid='+this.options[this.selectedIndex].value) }\">\r\n");
	templateBuilder.Append("			<option selected>切换界面...</option>\r\n");
	templateBuilder.Append("			" + templatelistboxoptions.ToString() + "\r\n");
	templateBuilder.Append("		</select>\r\n");

	}	//end if


	}	//end if

	templateBuilder.Append("	</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("<div id=\"my_menu\" class=\"ntdropmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("		<a href=\"mytopics.aspx\">我的主题</a>\r\n");
	templateBuilder.Append("		<a href=\"myposts.aspx\">我的帖子</a>\r\n");
	templateBuilder.Append("		<a href=\"search.aspx?posterid=" + userid.ToString() + "&amp;type=digest\">我的精华</a>\r\n");

	if (config.Enablespace==1)
	{

	templateBuilder.Append("		<a href=\"" + spaceurl.ToString() + "space/\">我的空间</a>\r\n");

	}	//end if


	if (config.Enablealbum==1)
	{

	templateBuilder.Append("		<a href=\"showalbumlist.aspx?uid=" + userid.ToString() + "\">我的相册</a>\r\n");

	}	//end if

	templateBuilder.Append("		<script type=\"text/javascript\" src=\"javascript/mymenu.js\"></" + "script>\r\n");
	templateBuilder.Append("</div>\r\n");




	if (floatad!="")
	{

	templateBuilder.Append("	<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/floatadv.js\"></" + "script>\r\n");
	templateBuilder.Append("	" + floatad.ToString() + "\r\n");
	templateBuilder.Append("	<script type=\"text/javascript\">theFloaters.play();</" + "script>\r\n");

	}
	else
	{


	if (doublead!="")
	{

	templateBuilder.Append("		<script type=\"text/javascript\" src=\"templates/" + templatepath.ToString() + "/floatadv.js\"></" + "script>\r\n");
	templateBuilder.Append("		" + doublead.ToString() + "\r\n");
	templateBuilder.Append("		<script type=\"text/javascript\">theFloaters.play();</" + "script>\r\n");

	}	//end if


	}	//end if




	templateBuilder.Append("<div id=\"quicksearch_menu\" class=\"searchmenu\" style=\"display: none;\">\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='0';document.getElementById('quicksearch').innerHTML='帖子标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">帖子标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='2';document.getElementById('quicksearch').innerHTML='空间日志';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">空间日志</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='3';document.getElementById('quicksearch').innerHTML='相册标题';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">相册标题</div>\r\n");
	templateBuilder.Append("				<div onclick=\"document.getElementById('keywordtype').value='8';document.getElementById('quicksearch').innerHTML='作&nbsp;&nbsp;者';document.getElementById('quicksearch_menu').style.display='none';\" onmouseover=\"MouseCursor(this);\">作&nbsp;&nbsp;者</div>\r\n");
	templateBuilder.Append("			</div>\r\n");
	templateBuilder.Append("</div>\r\n");
	templateBuilder.Append("</body>\r\n");
	templateBuilder.Append("</html>\r\n");



	Response.Write(templateBuilder.ToString());
}
</script>
